#include "stdio.h"

#include "automake.h"

void import_dir(const string &dir);

int main(int argc,char *argv[])
{
	if(argc != 2){
		printf("wrong parameters\n");
		return 1;
	};
	import_dir(argv[1]);
}

void import_dir(const string &dir)
{
	try{
		Makefile am(dir);
		Target::value_iterator it;
		
		Makefile::target_iterator iter = am.get_target_iterator();
		while(!am.iterator_last(iter)){
			string name = (*iter).get_name();
			if(name.find("SOURCES") != name.npos){
				it = (*iter).get_value_iterator();
				while(!(*iter).iterator_last(it)){
					printf("%s\n",(dir + (*it++)).c_str());
				};
			};
			iter++;
		};
		
		Target subdirs = am.find_target("SUBDIRS");
		it = subdirs.get_value_iterator();
		while(!subdirs.iterator_last(it)){
			import_dir(dir + (*it++) + "/");
		};
	}catch(...){
	};
}