/* conffile.h - -*- C++ -*- class that utilizes gnome-config.h functions
 * Copyright (C) 2000 Malenko Dmitry <maldim@mail.ru>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.  
 */

#ifndef _CONFFILE_H
#define _CONFFILE_H

#include <gnome.h>
#include <string>

class ConfFile
{
private:
	string prefix;
public:
	typedef void *iterator;
	
	ConfFile(const string &file);

	void read(const string &path,int &value);
	void read(const string &path,string &value);
	void read(const string &path,bool &value);

	void write(const string &path,const int &value);
	void write(const string &path,const string &value);
	void write(const string &path,const bool &value);

	void drop(void);

	void clear_section(const string &sect);

	iterator get_iterator(const string &sect);
	iterator iterator_next(iterator iter,string &key,string &value);
};

#endif