/* files.h - File classes -*- C++ -*-
 * Copyright (C) 2000 Malenko Dmitry <maldim@mail.ru>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.  
 */

#ifndef _FILES_H
#define _FILES_H

#include <string>
#include "iexceptions.h"
#include "views.h"

class File
{
private:
	string prefix,name,fullname;
	View *view;

	GtkNotebook *nb;
	GtkTreeItem *item;
	GtkLabel *label;

	virtual void load(void);
public:
	File(const string &name,View *_view,GtkNotebook *_nb,GtkTreeItem *_item);
	virtual ~File();

	virtual string get_name(void)
	{
		return string(name);
	};
	virtual string get_fullname(void)
	{
		return fullname;
	};

	virtual bool modified(void)
	{
		return view->modified();
	};

	virtual const View &get_view(void)
	{
		return *view;
	};

	GtkTreeItem *get_item(void)
	{
		return item;
	};

	virtual void save(void);
	virtual void save_as(const string &newname);

	void activate(void);
};

#endif
