/* util.h - Some util functions -*- C++ -*-
 * Copyright (C) 2000 Malenko Dmitry <maldim@mail.ru>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.  
 */
 
#ifndef _UTIL_H
#define _UTIL_H

#include <string>
#include "iexceptions.h"

//files&dirs
bool dir_exists(const string &dir);
void dir_create(const string &name);

bool file_exists(const string &file);
void file_create(const string &file);

string fullname(const string &dir,const string &file);

//strings
string str_replace(const string &str,const string &rem,const string &ins);

//colors
void triplet2RGB(const string &triplet,unsigned char &r,unsigned char &g,unsigned char &b);
string RGB2triplet(unsigned char &r,unsigned char &g,unsigned char &b);

#endif
